import { ConfigProvider, Tabs } from "antd";
import React, { useEffect, useState } from "react";
import PageStyle from "./PageStyle";
import GraphStyle from "./GraphStyle";
import { useModel } from "umi";

export default function Config() {
  const [activeKey, setActiveKey] = useState("1");
  const { selectedCell } = useModel('graphModel');
  const tabItems = [
    {
      key: "1",
      label: `页面样式`,
      children: (
        <ConfigProvider
          componentSize="small"
          theme={{
            token: {
              colorPrimary: "#1890ff",
            },
          }}
        >
          <PageStyle />
        </ConfigProvider>
      ),
    },
    {
      key: "2",
      label: `图形样式`,
      children: (
        <ConfigProvider
          componentSize="small"
          theme={{
            token: {
              colorPrimary: "#1890ff",
            },
          }}
        >
          <GraphStyle />
        </ConfigProvider>
      ),
    },
    {
      key: "3",
      label: `节点属性`,
      children: `Content of Tab Pane 2`,
    },
  ];

  useEffect(() => {
    if(selectedCell?.length) {
      setActiveKey("2");
    } else {
      setActiveKey("1");
    }
  }, [selectedCell]);

  return (
    <div>
      <Tabs centered items={tabItems} activeKey={activeKey} onChange={(key) => setActiveKey(key)}/>
    </div>
  );
}
